import { useState } from 'react'

const Field = ({fieldName, variable, setVariable}) => (
  <div>
    {fieldName}: <input value={variable} onChange={e => setVariable(e.target.value)} />
  </div>
)

const AddEntryButton = () => (
  <div>
    <button type="submit">add</button>
  </div>
)

const Form = ({persons, setPersons}) => {
  const [newName, setNewName] = useState('')
  const [newPhone, setNewPhone] = useState('')

  const addEntry = e => {
    e.preventDefault()

    if(persons.find(person => person.name === newName)) {
      alert(`${newName} is already added to phonebook`)
      return
    }

    setPersons(persons.concat({ name: newName, number: newPhone, id: persons.length + 1 }))
    setNewName('')
    setNewPhone('')
  }

  return (
    <div>
      <h2>add a new</h2>
      <form onSubmit={addEntry} >
        <Field fieldName='name' variable={newName} setVariable={setNewName} />
        <Field fieldName='number' variable={newPhone} setVariable={setNewPhone} />
        <AddEntryButton />
      </form>
    </div>
  )
}

export default Form
